Passage à PHP7

La dernière version 5.2 WordPress, sur lequel tourne ce blog, impose maintenant une version de PHP au moins égale à 5.6.20 mais la version 7.X est fortement recommandée d’autant que les versions 5.X de PHP ne sont plus maintenues et supportées. On s’expose donc à des risques de vulnérabilités en restant avec une version 5.X. La migration devient donc quasi obligatoire, étant hébergé en mutualisé chez online il est assez facile de basculer en PHP7 comme on peut le voir ici. En revanche il est sans doute prudent de tester avant la compatibilité du site, pour wordpress il existe une extension qui s’appelle PHP Compatibility checker.

Cela donne quelque chose comme cela

Une fois que vous vous êtes rassuré, on peut basculer chez l’hébergeur en php 7.X, j’ai choisi de basculer en version 7.1. J’ai eu droit de mon côté à un beau message

Not Found

The requested URL /fast-cgi-nontexistent/index.php was not found on this server.

C’était sans compter la page citée plus haut qui indique qu’il faut mettre un

AddHandler ${php7} php

dans le .htaccess à la racine du site, et bien en fait ça ne marche pas ! J’ai un peu galéré pour trouver et pas mal tâtonné, voilà donc ce qui marche chez moi avec un hébergement mutualisé chez online.

RewriteEngine On
RewriteCond %{HTTP:HTTPS} !on
RewriteRule (.*) https://%{SERVER_NAME}/$1 [QSA,L,R=301]
<FilesMatch ^wp-config.php$>
 deny from all
</FilesMatch>
AddType application/x-httpd-php7-1 .php

Pour mémoire les premiers lignes Rewrite sont pour une connexion sécurisée HTTPS, la directive FilesMatch empêche d’accéder au fichier de configuration wp-config. C’est la dernière ligne qui permet de prendre en compte la version 7.1 de PHP.

Cependant j’ai mon extension de galeries photo NextCellent Gallery qui est un fork de la version 1.9.13 de NextGen Gallery qui n’a pas appréciée cette migration. C’est fonctionnel, mais esthétiquement moche avec la non prise en compte du fichier nggallery.css dans le thème Twenty Fourteen. Vu que le développement de NextCellent a l’air totalement stoppé depuis des années, je crains que je vais devoir passer à NextGen et ça risque de ne pas être immédiat et prendre du temps, je me garde sous le coude cette migration et je m’excuse du désagrément visuel. Je suis preneur également de toutes remarques et dysfonctionnements sur les sites du domaine hoarau.org que je n’aurai pas vu.

Laisser un commentaire

Votre adresse de messagerie ne sera pas publiée.

Vérification anti robot *